sc::TaylorMolecularEnergy(3)

NAME
sc::TaylorMolecularEnergy -

SYNOPSIS

Inherits sc::MolecularEnergy.

  Public Member Functions
TaylorMolecularEnergy (const Ref< KeyVal > &)
TaylorMolecularEnergy (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &=ExEnv::out0()) const
Print information about the object.
void compute ()
Recompute at least the results that have compute true and are not already computed.
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const
int hessian_implemented () const

  Additional Inherited Members

Member Function Documentation

  void sc::TaylorMolecularEnergy::compute () [virtual]

Recompute at least the results that have compute true and are not already computed. This should only be called by Result's members.

Implements sc::Compute.

  void sc::TaylorMolecularEnergy::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

  int sc::TaylorMolecularEnergy::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.